/*
 * Modern CSS (mobile-first design)
 * Created by CHEUNG Siu Kei
 */

// Colours variables
$dark: #50514F;
$orange: #F25F5C;
$yellow: #FFE066;
$blue: #247BA0;
$light-green: #70C1B3;

$primary: #428bca;
$success: #5cb85c;
$warning: #d9534f;

/* General */
*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  color: $dark;
}

.container {
  margin: 2em 15%;
  margin-top: 0;
  display: flex;
  flex-direction: column;
}

.responsive-hero {
  background: url('./img/ben-kolde-430912.jpg') no-repeat center;
  background-size: cover;
  height: 30vh;
  z-index: -1;
}

.about-hero {
  background: url('./img/helloquence-61189.jpg') no-repeat center;
  background-size: cover;
  height: 30vh;
  z-index: -1;
}

.animation-hero {
  background: url('./img/kobu-agency-409288.jpg') no-repeat center;
  background-size: cover;
  height: 30vh;
  z-index: -1;
}

.flexbox-hero {
  background: url('./img/nick-karvounis-381259.jpg') no-repeat center;
  background-size: cover;
  height: 30vh;
  z-index: -1;
}

.links-hero {
  background: url('./img/william-iven-11250.jpg') no-repeat center;
  background-size: cover;
  height: 30vh;
  z-index: -1;
}

.hero-section {
  margin-left: -21%;
  margin-right: -21%;
  margin-bottom: 2em;

  .hero-overlay {
    background-color: rgba(0,0,0,0.6);
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  h1 {
    z-index: 2;
    color: white;
  }
}

#future-video {
  display: none;
}

.bx-wrapper {
  margin-left: auto;
  margin-right: auto;
}

.warning {
  background-color: $warning;

  p {
    color: #fff;
  }
}

.success {
  background-color: $success;

  p {
    color: #fff;
  }
}

/* Typography */
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 2em 0;
  text-align: center;
}

h1 {
  text-transform: uppercase;
}

p {
  line-height: 1.5em;
}

.row ul {
  li {
    padding: 0.5em 0;
  }
}

/* Navbar */
nav {
  background-color: #fff;
  padding-top: 1.5em;
  padding-bottom: 1.5em;
  padding-left: 0.75em;
  @media (min-width: 1084px) {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .css-present-logo img {
    width: 45%;
    height: 40%;
  }

  .css-future-logo {
    display: none;
  }


  ul {
    list-style: none;
  }

  li {
    display: none;
    @media (min-width: 1084px) {
      display: inline-block;
      margin-right: 1.5em;
      font-size: 0.9em;
    }
    &:last-child {
      @media (min-width: 1084px) {
        margin-right: 1em;
      }
    }
  }


  a {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    padding: 0.75em;

    &.active {
      background-color: white;
      border: 3px solid black;
    }
  }
}

.nav-header {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

#nav-mobile {
  font-weight: bold;
  font-size: 0.75em;
  @media (min-width: 1083px) {
    display: none;
  }
  @media (min-width: 480px) {
    font-size: 1em;
  }
}

.nav-responsive {
  padding-top: 1em;

  li {
    display: block;
    margin-bottom: 2em;
  }
}

/* Content */
.row + .row {
  margin-top: 2em;
  border-top: 1px dashed $dark;
}

/* Link Form */
.links {
  li {
    margin: 0.5em 0;
  }

  & + p {
    margin: 0.5em 0;
  }
}

.message {
  border-radius: 5px;
  padding-top: 2em;
  padding-bottom: 2em;
  padding-left: 1em;
  margin-bottom: 1.5em;
}

form {
  label {
    display: block;
    font-weight: bold;
    margin-bottom: -0.5em;
  }

  input {
    display: block;
    border: 1px solid $dark;
    border-radius: 5px;
    width: 100%;
    padding: 0.5em;
    margin: 0.75em 0;
    font-size: 0.75em;
    outline: none;
    transition: all 0.3s ease-in-out;

    &:focus {
      border: 1px solid $orange;
      box-shadow: 0 0 5px $orange;
    }
  }

  @media (min-width: 768px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    input {
      width: 45%;
      margin-top: 1.75em;
    }

    input+label {
      margin-top: 1.75em;
    }
  }

  button[type="submit"] {
    display: block;
    width: 100%;
    padding: 0.5em 0;
    margin: 0.75em 0;
    border: 1px solid $light-green;
    border-radius: 5px;
    background-color: $light-green;
    color: white;
    font-size: 1em;
    @media (min-width: 768px) {
      padding: 1em 1em;
      width: initial;
    }
  }
}

/* Footer */
footer {
  text-align: center;
  color: white;
  background-color: black;
  padding: 2em 0;

  li {
    margin: 1em 0;
    @media (min-width: 768px) {
      display: inline-block;
      margin-left: 1.5em;
      margin-right: 1.5em;
    }
  }

  ul {
    list-style: none;
    margin-bottom: 1em;
    display: flex;
    flex-direction: column;
    @media (min-width: 768px) {
      display: block;
    }
  }

  a {
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    color: white;
    padding: 0.25em 0.25em;

    &:after {
      content: '';
      display: block;
      height: 3px;
      width: 0;
      margin-top: 5px;
      background-color: black;
      transition: width .5s ease, background-color .5s ease;
    }

    &:hover:after {
      width: 100%;
      background-color: #fff;
    }

    &.active {
      color: grey;
    }
  }

  #copyright {
    color: #fff;
  }
}

/* Animations */
@import 'animations';